MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures | Public Member Functions | Data Fields
PlaylistInfo Struct Reference

A directory entry pointing to a playlist file. More...

`#include <PlaylistInfo.hxx>`

## Data Structures
class | CompareName

## Public Member Functions
| PlaylistInfo ()=default
template<typename N >
| PlaylistInfo (N &&_name, time_t _mtime)
| PlaylistInfo (const PlaylistInfo &other)=delete
| PlaylistInfo (PlaylistInfo &&)=default

## Data Fields
std::string | name
| The UTF-8 encoded name of the playlist file. More...
time_t | mtime

## Detailed Description

A directory entry pointing to a playlist file.

Definition at line 33 of file PlaylistInfo.hxx.

## Constructor & Destructor Documentation

PlaylistInfo::PlaylistInfo | ( |  | ) |
| default

template<typename N >

PlaylistInfo::PlaylistInfo | ( | N && | _name,
|  | time_t | _mtime
| ) |  |
| inline

Definition at line 56 of file PlaylistInfo.hxx.

PlaylistInfo::PlaylistInfo | ( | const PlaylistInfo & | other | ) |
| delete

PlaylistInfo::PlaylistInfo | ( | PlaylistInfo && |  | ) |
| default

## Field Documentation

time_t PlaylistInfo::mtime

Definition at line 39 of file PlaylistInfo.hxx.

std::string PlaylistInfo::name

The UTF-8 encoded name of the playlist file.

Definition at line 37 of file PlaylistInfo.hxx.

The documentation for this struct was generated from the following file:

- db/PlaylistInfo.hxx